;;; package.lisp ---
;;
;; Copyright (C) 2010 Jan Moringen
;;
;; Author: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>
;;
;; This Program is free software: you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This Program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program. If not, see <http://www.gnu.org/licenses>.

(defpackage :gir
  (:use
   :cl
   :alexandria
   :iterate
   :s-xml
   :bind)
  (:export
   ;;
   :find-node
   ;;
   :node
   :node-name :node-foreign-name :node-doc :node-value
   :composite
   :composite-children
   ;;
   :typed-mixin
   :node-type
   ;;
   :value-mixin
   :node-value
   ;;
   :class-mixin
   :class-type-name :class-type-getter :class-properties :class-fields
   ;;
   :repository :include :package1
   ;;
   :namespace
   :namespace-shared-library
   :alias
   :constant :type1 :array1 :union1 :enumeration

   ;;
   :member1
   :value-nick

   ;;
   :interface

   ;;
   :class1
   :class-parent :class-implemented-interfaces :class-abstract

   :record :property :field :signal1
   ;;
   :function1
   :function-return-type :function-parameters
   ;;
   :method1 :virtual-method :constructor
   ;;
   :parameter
   :parameter-type :parameter-direction))
